VGRIVE

1. VGRIVE

Adriano
DR1CO

(usa Outra)

Enviado em 26/03/2021 - 11:46h

Olá, estou tentando instalar um cliente do google drive no linux debian 10, seguindo o manual do link:

https://www.edivaldobrito.com.br/como-instalar-o-cliente-google-drive-vgrive-no-ubuntu-mint-debian-e...

Só que quando vou instalar fala que está faltando pacotes lib na distro, gostaria de saber se tem como instalar todas as lib de uma só vez, ao invés de pegar 1 por 1.

Até porquê tem alguns pacotes que estão dando erro na instalação.



  


2. Re: VGRIVE

Eduardo Solano
Proxlu

(usa Outra)

Enviado em 26/03/2021 - 13:47h

Ola, Siga os passos abaixo e veja se lhe serve

baixe o gdebi no terminal:
sudo apt install gdebi 


navegue até a pasta onde baixou o instalador do vgrive e clique com o direito sobre ele e abrir com o gdebi.

o gdebi instala os pacotes que faltam automaticamente, e lhe informa se quer desmarcar ou marcar algum.

me diga se resolveu, aguardo seu retorno,


3. Re: VGRIVE

Adriano
DR1CO

(usa Outra)

Enviado em 26/03/2021 - 14:00h


Proxlu escreveu:

Ola, Siga os passos abaixo e veja se lhe serve

baixe o gdebi no terminal:
sudo apt install gdebi 


navegue até a pasta onde baixou o instalador do vgrive e clique com o direito sobre ele e abrir com o gdebi.

o gdebi instala os pacotes que faltam automaticamente, e lhe informa se quer desmarcar ou marcar algum.

me diga se resolveu, aguardo seu retorno,


Uma boa ideia amigo, mas não funcionou


4. Re: VGRIVE

Eduardo Solano
Proxlu

(usa Outra)

Enviado em 26/03/2021 - 15:14h

Tenta usar "sudo apt update" e instalar o gdebi novamente, também use o "apt --fix-broken install". Eu tive esse problema uma vez e resolveu fazer isso.

Edit: Outra alternativa é o qapt (sudo apt install qapt-deb-installer) ai basta fazer o mesmo processo que expliquei do gdebi com o qapt. espero que funcione.


5. Re: VGRIVE

Adriano
DR1CO

(usa Outra)

Enviado em 26/03/2021 - 15:29h

Proxlu escreveu:

Tenta usar "sudo apt update" e instalar o gdebi novamente, também use o "apt --fix-broken install". Eu tive esse problema uma vez e resolveu fazer isso.

Edit: Outra alternativa é o qapt (sudo apt install qapt-deb-installer) ai basta fazer o mesmo processo que expliquei do gdebi com o qapt. espero que funcione.


O gdebi não funcionou de forma alguma, porém o qapt me retornou isso da foto.

No "incluid files" está isto:

./usr/bin/
./usr/bin/com.github.bcedu.vgrive
./usr/share/applications/
./usr/share/applications/com.github.bcedu.vgrive.desktop
./usr/share/doc/com.github.bcedu.vgrive/
./usr/share/doc/com.github.bcedu.vgrive/changelog.gz
./usr/share/doc/com.github.bcedu.vgrive/copyright
./usr/share/glib-2.0/schemas/
./usr/share/glib-2.0/schemas/com.github.bcedu.vgrive.gschema.xml
./usr/share/icons/hicolor/
./usr/share/icons/hicolor/128x128/apps/
./usr/share/icons/hicolor/128x128/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/[email protected]/apps/
./usr/share/icons/hicolor/[email protected]/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/16x16/apps/
./usr/share/icons/hicolor/16x16/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/[email protected]/apps/
./usr/share/icons/hicolor/[email protected]/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/24x24/apps/
./usr/share/icons/hicolor/24x24/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/[email protected]/apps/
./usr/share/icons/hicolor/[email protected]/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/256x256/apps/
./usr/share/icons/hicolor/256x256/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/[email protected]/apps/
./usr/share/icons/hicolor/[email protected]/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/32x32/apps/
./usr/share/icons/hicolor/32x32/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/[email protected]/apps/
./usr/share/icons/hicolor/[email protected]/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/48x48/apps/
./usr/share/icons/hicolor/48x48/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/[email protected]/apps/
./usr/share/icons/hicolor/[email protected]/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/64x64/apps/
./usr/share/icons/hicolor/64x64/apps/com.github.bcedu.vgrive.svg
./usr/share/icons/hicolor/[email protected]/apps/
./usr/share/icons/hicolor/[email protected]/apps/com.github.bcedu.vgrive.svg
./usr/share/locale/ca/
./usr/share/locale/ca/LC_MESSAGES/com.github.bcedu.vgrive.mo
./usr/share/locale/es/LC_MESSAGES/
./usr/share/locale/es/LC_MESSAGES/com.github.bcedu.vgrive.mo
./usr/share/locale/fr/LC_MESSAGES/
./usr/share/locale/fr/LC_MESSAGES/com.github.bcedu.vgrive.mo
./usr/share/locale/gl/LC_MESSAGES/
./usr/share/locale/gl/LC_MESSAGES/com.github.bcedu.vgrive.mo
./usr/share/locale/it/LC_MESSAGES/
./usr/share/locale/it/LC_MESSAGES/com.github.bcedu.vgrive.mo
./usr/share/locale/nl/LC_MESSAGES/
./usr/share/locale/nl/LC_MESSAGES/com.github.bcedu.vgrive.mo
./usr/share/locale/pl/LC_MESSAGES/
./usr/share/locale/pl/LC_MESSAGES/com.github.bcedu.vgrive.mo
./usr/share/locale/pt_br/LC_MESSAGES/
./usr/share/locale/pt_br/LC_MESSAGES/com.github.bcedu.vgrive.mo
./usr/share/metainfo/com.github.bcedu.vgrive.appdata.xml



6. Re: VGRIVE

Eduardo Solano
Proxlu

(usa Outra)

Enviado em 26/03/2021 - 15:45h

Esta faltando dependências, tu já tentou dar um "sudo apt -f install" ???

Obs: use o comando puro, sem nada a mais, apenas "sudo apt -f install"


7. Re: VGRIVE

Adriano
DR1CO

(usa Outra)

Enviado em 26/03/2021 - 15:54h


Proxlu escreveu:

Esta faltando dependências, tu já tentou dar um "sudo apt -f install" ???

Obs: use o comando puro, sem nada a mais, apenas "sudo apt -f install"


Sim, já tinha usado amigo.


8. Re: VGRIVE

Eduardo Solano
Proxlu

(usa Outra)

Enviado em 26/03/2021 - 17:46h


DR1CO escreveu:


Proxlu escreveu:

Esta faltando dependências, tu já tentou dar um "sudo apt -f install" ???

Obs: use o comando puro, sem nada a mais, apenas "sudo apt -f install"


Sim, já tinha usado amigo.


Já tinha passado por isso e esses passos resolveram pra mim, talvez algumas configurações nossas estejam diferentes.

Verifique se esta usando os repositórios contrib non-free com o comando abaixo:
cat /etc/apt/sources.list 

A saída do comando deve conter "contrib non-free" no final de todas as linhas, como no exemplo abaixo:
deb http://deb.debian.org/debian buster main contrib non-free
deb-src http://deb.debian.org/debian buster main contrib non-free

deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
deb-src http://deb.debian.org/debian-security/ buster/updates main contrib non-free

deb http://deb.debian.org/debian buster-updates main contrib non-free
deb-src http://deb.debian.org/debian buster-updates main contrib non-free

Caso não esteja assim, use o comando abaixo e adicione "contrib non-free" no final de cada linha:
nano /etc/apt/sources.list 

Ao final de um update e repita os processos ja mencionados para ver se persistira o erro.
sudo apt update 


Aguardo sua resposta, se souber de algo que tenha feito antes de instalar o vgrive que possa ter ocasionado isso, me informe, por favor.


9. Re: VGRIVE

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 26/03/2021 - 23:23h


Tente ( na pasta onde está o .deb)
sudo apt install -f ./vgrive.deb


10. Re: VGRIVE

Eduardo Solano
Proxlu

(usa Outra)

Enviado em 27/03/2021 - 08:54h

Caso a sugestão do amigo acima falhe, tente usar os comandos abaixo e repetir o processo que ele falou.

Comandos para correção de dependências:
sudo apt clean && sudo apt install -f && sudo dpkg --configure -a 

sudo rm /var/lib/apt/lists/* -vf && sudo apt update 

sudo apt clean && sudo apt autoclean && sudo apt autoremove 

sudo dpkg --configure -a && sudo apt update 



11. Re: VGRIVE

Fernando T. Da Silva
nandosilva

(usa Lubuntu)

Enviado em 27/03/2021 - 22:22h


Se você não conseguiu resolver as dependências por vias normais com apt, pode ser que no repositório da sua distro ou versão dela, não
existam a versão dos pacotes de dependência para a versão atual do vgrive que você instalou, neste caso deverá resolver manualmente as dependências baixado uma a uma via navegador web em cada execução do vgrive toda vez que houver erro no terminal, onde isto pode ser uma tarefa trabalhosa, mas não impossível.

Sugestão:
Para sincronizar arquivos você pode instalar o opendrive, tem pacotes .deb e appimage e comigo não houve dependências de libs.
É melhor e se integra ao seu gerenciador de arquivos.
https://github.com/liberodark/ODrive/releases/tag/0.3.0





12. Re: VGRIVE

Adriano
DR1CO

(usa Outra)

Enviado em 29/03/2021 - 09:36h


Proxlu escreveu:


DR1CO escreveu:


Proxlu escreveu:

Esta faltando dependências, tu já tentou dar um "sudo apt -f install" ???

Obs: use o comando puro, sem nada a mais, apenas "sudo apt -f install"


Sim, já tinha usado amigo.


Já tinha passado por isso e esses passos resolveram pra mim, talvez algumas configurações nossas estejam diferentes.

Verifique se esta usando os repositórios contrib non-free com o comando abaixo:
cat /etc/apt/sources.list 

A saída do comando deve conter "contrib non-free" no final de todas as linhas, como no exemplo abaixo:
deb http://deb.debian.org/debian buster main contrib non-free
deb-src http://deb.debian.org/debian buster main contrib non-free

deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
deb-src http://deb.debian.org/debian-security/ buster/updates main contrib non-free

deb http://deb.debian.org/debian buster-updates main contrib non-free
deb-src http://deb.debian.org/debian buster-updates main contrib non-free

Caso não esteja assim, use o comando abaixo e adicione "contrib non-free" no final de cada linha:
nano /etc/apt/sources.list 

Ao final de um update e repita os processos ja mencionados para ver se persistira o erro.
sudo apt update 


Aguardo sua resposta, se souber de algo que tenha feito antes de instalar o vgrive que possa ter ocasionado isso, me informe, por favor.


Opa amigo, realizei o comando, e tentei instalar novamente, sem sucesso.



01 02 03



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts